package com.cm.central.control.pojo.vos.customer;

import com.cm.common.annotation.CheckEmptyAnnotation;
import com.cm.common.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: CustomerVO
 * @Description: 客户管理
 * @Author: WenG
 * @Date: 2020-07-30 19:00
 * @Version: 1.0
 **/
@ApiModel
public class CustomerVO {

    @ApiModelProperty(name = "customerName", value = "客户名称")
    @CheckEmptyAnnotation(name = "客户名称")
    private String customerName;
    @ApiModelProperty(name = "customerType", value = "客户类型")
    @CheckNumberAnnotation(name = "客户类型")
    private Integer customerType;
    @ApiModelProperty(name = "contactPerson1", value = "联系人1")
    private String contactPerson1;
    @ApiModelProperty(name = "contactTel1", value = "联系座机1")
    private String contactTel1;
    @ApiModelProperty(name = "contactPhone1", value = "联系电话1")
    private String contactPhone1;
    @ApiModelProperty(name = "contactEmail1", value = "联系邮箱1")
    private String contactEmail1;
    @ApiModelProperty(name = "contactPerson2", value = "联系人2")
    private String contactPerson2;
    @ApiModelProperty(name = "contactTel2", value = "联系座机2")
    private String contactTel2;
    @ApiModelProperty(name = "contactPhone2", value = "联系电话2")
    private String contactPhone2;
    @ApiModelProperty(name = "contactEmail2", value = "联系邮箱2")
    private String contactEmail2;
    @ApiModelProperty(name = "area1Id", value = "地区1Id")
    private String area1Id;
    @ApiModelProperty(name = "area2Id", value = "地区2ID")
    private String area2Id;
    @ApiModelProperty(name = "area3Id", value = "区域3ID")
    private String area3Id;
    @ApiModelProperty(name = "area4Id", value = "区域4ID")
    private String area4Id;
    @ApiModelProperty(name = "area5Id", value = "区域5ID")
    private String area5Id;
    @ApiModelProperty(name = "areaAddress", value = "详细地址")
    private String areaAddress;

    public String getCustomerName() {
        return customerName == null ? "" : customerName.trim();
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public Integer getCustomerType() {
        return customerType;
    }

    public void setCustomerType(Integer customerType) {
        this.customerType = customerType;
    }

    public String getContactPerson1() {
        return contactPerson1 == null ? "" : contactPerson1.trim();
    }

    public void setContactPerson1(String contactPerson1) {
        this.contactPerson1 = contactPerson1;
    }

    public String getContactTel1() {
        return contactTel1 == null ? "" : contactTel1.trim();
    }

    public void setContactTel1(String contactTel1) {
        this.contactTel1 = contactTel1;
    }

    public String getContactPhone1() {
        return contactPhone1 == null ? "" : contactPhone1.trim();
    }

    public void setContactPhone1(String contactPhone1) {
        this.contactPhone1 = contactPhone1;
    }

    public String getContactEmail1() {
        return contactEmail1 == null ? "" : contactEmail1.trim();
    }

    public void setContactEmail1(String contactEmail1) {
        this.contactEmail1 = contactEmail1;
    }

    public String getContactPerson2() {
        return contactPerson2 == null ? "" : contactPerson2.trim();
    }

    public void setContactPerson2(String contactPerson2) {
        this.contactPerson2 = contactPerson2;
    }

    public String getContactTel2() {
        return contactTel2 == null ? "" : contactTel2.trim();
    }

    public void setContactTel2(String contactTel2) {
        this.contactTel2 = contactTel2;
    }

    public String getContactPhone2() {
        return contactPhone2 == null ? "" : contactPhone2.trim();
    }

    public void setContactPhone2(String contactPhone2) {
        this.contactPhone2 = contactPhone2;
    }

    public String getContactEmail2() {
        return contactEmail2 == null ? "" : contactEmail2.trim();
    }

    public void setContactEmail2(String contactEmail2) {
        this.contactEmail2 = contactEmail2;
    }

    public String getArea1Id() {
        return area1Id == null ? "" : area1Id.trim();
    }

    public void setArea1Id(String area1Id) {
        this.area1Id = area1Id;
    }

    public String getArea2Id() {
        return area2Id == null ? "" : area2Id.trim();
    }

    public void setArea2Id(String area2Id) {
        this.area2Id = area2Id;
    }

    public String getArea3Id() {
        return area3Id == null ? "" : area3Id.trim();
    }

    public void setArea3Id(String area3Id) {
        this.area3Id = area3Id;
    }

    public String getArea4Id() {
        return area4Id == null ? "" : area4Id.trim();
    }

    public void setArea4Id(String area4Id) {
        this.area4Id = area4Id;
    }

    public String getArea5Id() {
        return area5Id == null ? "" : area5Id.trim();
    }

    public void setArea5Id(String area5Id) {
        this.area5Id = area5Id;
    }

    public String getAreaAddress() {
        return areaAddress == null ? "" : areaAddress.trim();
    }

    public void setAreaAddress(String areaAddress) {
        this.areaAddress = areaAddress;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"customerName\":")
                .append("\"").append(customerName).append("\"");
        sb.append(",\"customerType\":")
                .append(customerType);
        sb.append(",\"contactPerson1\":")
                .append("\"").append(contactPerson1).append("\"");
        sb.append(",\"contactTel1\":")
                .append("\"").append(contactTel1).append("\"");
        sb.append(",\"contactPhone1\":")
                .append("\"").append(contactPhone1).append("\"");
        sb.append(",\"contactEmail1\":")
                .append("\"").append(contactEmail1).append("\"");
        sb.append(",\"contactPerson2\":")
                .append("\"").append(contactPerson2).append("\"");
        sb.append(",\"contactTel2\":")
                .append("\"").append(contactTel2).append("\"");
        sb.append(",\"contactPhone2\":")
                .append("\"").append(contactPhone2).append("\"");
        sb.append(",\"contactEmail2\":")
                .append("\"").append(contactEmail2).append("\"");
        sb.append(",\"area1Id\":")
                .append("\"").append(area1Id).append("\"");
        sb.append(",\"area2Id\":")
                .append("\"").append(area2Id).append("\"");
        sb.append(",\"area3Id\":")
                .append("\"").append(area3Id).append("\"");
        sb.append(",\"area4Id\":")
                .append("\"").append(area4Id).append("\"");
        sb.append(",\"area5Id\":")
                .append("\"").append(area5Id).append("\"");
        sb.append(",\"areaAddress\":")
                .append("\"").append(areaAddress).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
